From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Sat, 28 Sep 2019 16:12:00 -1000
Subject: Use getMockBuilder instead of getMock

---
 tests/Uri/UriRetrieverTest.php | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/tests/Uri/UriRetrieverTest.php b/tests/Uri/UriRetrieverTest.php
index 10255fd..779cca2 100644
--- a/tests/Uri/UriRetrieverTest.php
+++ b/tests/Uri/UriRetrieverTest.php
@@ -34,7 +34,7 @@ class UriRetrieverTest extends TestCase
             throw new JsonDecodingException($error);
         }
 
-        $retriever = $this->getMock('JsonSchema\Uri\UriRetriever', array('retrieve'));
+        $retriever = $this->getMockBuilder('JsonSchema\Uri\UriRetriever')->setMethods(['retrieve'])->getMock();
 
         $retriever->expects($this->at(0))
                   ->method('retrieve')
@@ -235,7 +235,7 @@ EOF;
 
     public function testConfirmMediaTypeAcceptsJsonSchemaType()
     {
-        $retriever = $this->getMock('JsonSchema\Uri\UriRetriever', array('getContentType'));
+        $retriever = $this->getMockBuilder('JsonSchema\Uri\UriRetriever')->setMethods(['getContentType'])->getMock();
 
         $retriever->expects($this->at(0))
                 ->method('getContentType')
@@ -246,7 +246,7 @@ EOF;
 
     public function testConfirmMediaTypeAcceptsJsonType()
     {
-        $retriever = $this->getMock('JsonSchema\Uri\UriRetriever', array('getContentType'));
+        $retriever = $this->getMockBuilder('JsonSchema\Uri\UriRetriever')->setMethods(['getContentType'])->getMock();
 
         $retriever->expects($this->at(0))
                 ->method('getContentType')
@@ -260,7 +260,7 @@ EOF;
      */
     public function testConfirmMediaTypeThrowsExceptionForUnsupportedTypes()
     {
-        $retriever = $this->getMock('JsonSchema\Uri\UriRetriever', array('getContentType'));
+        $retriever = $this->getMockBuilder('JsonSchema\Uri\UriRetriever')->setMethods(['getContentType'])->getMock();
 
         $retriever->expects($this->at(0))
                 ->method('getContentType')
@@ -332,7 +332,7 @@ EOF;
 
     public function testInvalidContentTypeEndpointsDefault()
     {
-        $mock = $this->getMock('JsonSchema\Uri\UriRetriever', array('getContentType'));
+        $mock = $this->getMockBuilder('JsonSchema\Uri\UriRetriever')->setMethods(['getContentType'])->getMock();
         $mock->method('getContentType')->willReturn('Application/X-Fake-Type');
         $retriever = new UriRetriever();
 
@@ -345,7 +345,7 @@ EOF;
      */
     public function testInvalidContentTypeEndpointsUnknown()
     {
-        $mock = $this->getMock('JsonSchema\Uri\UriRetriever', array('getContentType'));
+        $mock = $this->getMockBuilder('JsonSchema\Uri\UriRetriever')->setMethods(['getContentType'])->getMock();
         $mock->method('getContentType')->willReturn('Application/X-Fake-Type');
         $retriever = new UriRetriever();
 
@@ -354,7 +354,7 @@ EOF;
 
     public function testInvalidContentTypeEndpointsAdded()
     {
-        $mock = $this->getMock('JsonSchema\Uri\UriRetriever', array('getContentType'));
+        $mock = $this->getMockBuilder('JsonSchema\Uri\UriRetriever')->setMethods(['getContentType'])->getMock();
         $mock->method('getContentType')->willReturn('Application/X-Fake-Type');
         $retriever = new UriRetriever();
         $retriever->addInvalidContentTypeEndpoint('http://example.com');
